%global  checkout   2566d2bc39f0c5411d08754f7c3be878fdeabdb8
%global  date       20150125

%global moz_extensions %{_datadir}/mozilla/extensions

%global firefox_app_id \{ec8030f7-c20a-464f-9b0e-13a3a9e97384}
%global src_ext_id requestpolicy@requestpolicy.com
%global firefox_inst_dir %{moz_extensions}/%{firefox_app_id}/%{src_ext_id}

%global seamonkey_app_id \{92650c4d-4b8e-4d2a-b7eb-24ecf4f6b63a}
%global seamonkey_inst_dir %{moz_extensions}/%{seamonkey_app_id}

Name:      mozilla-requestpolicy
Version:   1.0
Release:   0.3.%{date}git%(echo %{checkout} | cut -c-6)%{?dist}
Summary:   Firefox and Seamonkey extension that gives you control over cross-site requests
License:   GPLv3+ and LGPLv3+
URL:       https://www.requestpolicy.com
# A git repo is available at https://github.com/RequestPolicy/requestpolicy
Source0:   https://github.com/RequestPolicyContinued/requestpolicy/archive/%{checkout}.zip#/requestpolicy-%{checkout}.zip

%if 0%{?el6}
Requires:       firefox >= 3.5
BuildRequires:  zip
%else
Requires:       mozilla-filesystem
%endif
BuildArch:      noarch

%description
RequestPolicy is a Firefox extension that gives you control over 
cross-site requests. It does this through user-defined white-lists
and blacklists. Users can also subscribe to policies 
(whitelists and blacklists) maintained by others.

%prep
%setup -q -n requestpolicy-%{checkout}

%build

%install
pushd src
for f in `find . -print | sed -e '/\.\/$/d'` ; do
    if [ -d ${f} ] ; then
       install -dm 755 %{buildroot}%{firefox_inst_dir}/${f}
    else
       install -pm 644 ${f} %{buildroot}%{firefox_inst_dir}/${f}
    fi
done
popd

# symlink from seamonkey extension to firefox extension
mkdir -p %{buildroot}%{seamonkey_inst_dir}
ln -s %{firefox_inst_dir} %{buildroot}%{seamonkey_inst_dir}

%files
%doc *.md
%if 0%{?el6}
%doc src/LICENSE 
%doc src/LICENSE.gpl
%else
%license src/LICENSE 
%license src/LICENSE.gpl
%endif
%{firefox_inst_dir}/
%{seamonkey_inst_dir}/*

%changelog
* Tue Jan 27 2015 Antonio Trande <sagitterATfedoraproject.org> - 1.0-0.3.20150125git2566d2
- Update to Beta8.2
- Description modified

* Thu Jan 22 2015 Antonio Trande <sagitterATfedoraproject.org> - 1.0-0.2.20141213gitd27363
- Package owns only its directories

* Thu Jan 22 2015 Antonio Trande <sagitterATfedoraproject.org> - 1.0-0.1.20141213gitd27363
- Update to 1.0 pre-release beta8

* Sat Aug 09 2014 Antonio Trande <sagitterATfedoraproject.org> - 0.5.28-1
- First package
